DIR=/usr/lib/linux-u-boot-legacy-nanopifire3_21.02.1_arm64
write_uboot_platform () 
{ 
    if [[ "$2" != /dev/mmcblk0 ]]; then
        dd if=$1/boot.img of=$2 seek=1 status=noxfer > /dev/null 2>&1;
    else
        dd if=$1/bootemmc.img of=$2 seek=1 status=noxfer > /dev/null 2>&1;
    fi
}
write_uboot_platform_mtd () 
{ 
    if [[ -f $1/rkspi_loader.img ]]; then
        dd if=$1/rkspi_loader.img of=$2 conv=notrunc status=none > /dev/null 2>&1;
    else
        echo "SPI u-boot image not found!";
        exit 1;
    fi
}

